# coding=utf-8

"""Setup sd_gym package."""

import pathlib

import setuptools

setuptools.setup(
    name="sd_gym",
    version="0.1.0",
    description=("SDGym: A Reinforcement Learning Gym using with System "
                 "Dynamics models."),
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    license="Apache 2.0",
    package_dir={"sd_gym": "."},
    packages=["sd_gym"],
    install_requires=pathlib.Path("requirements.txt").read_text().splitlines(),
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "Intended Audience :: Science/Research",
        "License :: OSI Approved :: Apache Software License",
        "Programming Language :: Python",
        "Topic :: Scientific/Engineering :: Artificial Intelligence",
    ],
)
